Subject: Re: [PATCH v15 05/13] ref-filter: implement an `align` atom

From: Matthieu Moy <[email-masked]>
Date: Wed, 02 Sep 2015 19:10:46 +0200

Junio C Hamano <[email-masked]> writes:

> Karthik Nayak <[email-masked]> writes:
>
>> On Wed, Sep 2, 2015 at 8:31 PM, Junio C Hamano <[email-masked]> wrote:
>>> Karthik Nayak <[email-masked]> writes:
>>>
>>>>>> +             die(_("format: `end` atom used without a supporting atom"));
>>>>>
>>>>> Not a show-stopper, but we may need some wordsmithing for "a
>>>>> supporting atom" here; an end-user would not know what it is.
>>>>
>>>> Probably something like "format: `end` atom should only be
>>>> used with modifier atoms".
>>>
>>> Between "supporting" and "modifier" I do not see much difference,
>>> though.
>>
>> I don't see how we could provide a better message, as %(end) atom
>> would be common to various atoms eventually.
>
> I said "not a show-stopper" without giving a suggestion exactly
> because I didn't (and I still don't) think either you or I can come
> up with a good wording ;-).  That is why the message was Cc'ed to
> the list for others to comment.

I don't really have a better proposal either. What we really mean is
"%(end) requires an atom that requires to be paired with %(end)", but
that wouldn't really help. I prefer "supporting" to "modifier":
To me, %(color:red) can be called a "modifier" by I wouldn't call %(if)
a modifier. "Supporting" is vague, but less misleading to me.

Perhaps "corresponding"? (not convinced myself ...)

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/